{namespace form=TYPO3\CMS\Form\ViewHelpers}

<f:if condition="{model.showElement}">
	<div class="csc-form-{model.elementCounter} csc-form-element csc-form-element-{model.elementTypeLowerCase} o-form__item t-medium-24 columns is-last-in-row">
		<form:select
			class="{model.additionalArguments.class} o-form__field o-form__field--select  {f:if(condition: model.validationErrorMessages, then: 'parsley-error')}"
			dir="{model.additionalArguments.dir}"
			id="{model.additionalArguments.id}"
			lang="{model.additionalArguments.lang}"
			style="{model.additionalArguments.style}"
			title="{model.additionalArguments.title}"
			accesskey="{model.additionalArguments.accesskey}"
			tabindex="{model.additionalArguments.tabindex}"
			onclick="{model.additionalArguments.onclick}"

			name="{model.additionalArguments.prefix}[{model.additionalArguments.name}]"
			value="{form:aggregateSelectOptions(model:model, returnSelectedValues: 1)}"

			multiple="{model.additionalArguments.multiple}"
			size="{model.additionalArguments.size}"

			optionLabelField="label"
			optionValueField="value"
			options="{form:aggregateSelectOptions(model:model)}"
			prependOptionLabel="{model.additionalArguments.prependOptionLabel}"
			prependOptionValue="{model.additionalArguments.prependOptionValue}"
			selectAllByDefault="{model.additionalArguments.selectAllByDefault}"
			sortByOptionLabel="{model.additionalArguments.sortByOptionLabel}"

			errorClass="{model.additionalArguments.errorClass}"
			additionalAttributes="{model.htmlAttributes}"
		/>
		<label for="{model.additionalArguments.id}" class="o-form__label o-form__label--select">
			   {model.additionalArguments.label}
		</label>
		<f:if condition="{model.validationErrorMessages}">
			<ul class="parsley-errors-list filled" id="parsley-id-{model.elementCounter}"><li class="parsley-required">
				<f:if condition="{model.mandatoryValidationMessages}">
					<f:for each="{model.mandatoryValidationMessages}" as="mandatoryValidationMessage" iteration="iterator">{mandatoryValidationMessage}<f:if condition="{iterator.isLast}"><f:else> - </f:else></f:if></f:for>
				</f:if>
				<f:if condition="{model.validationErrorMessages}">
					<f:for each="{model.validationErrorMessages}" as="errorValidationMessage" iteration="iterator">{errorValidationMessage}<f:if condition="{iterator.isLast}"><f:else> - </f:else></f:if></f:for>
				</f:if>
			</li></ul>
		</f:if>
	</div>
</f:if>
